﻿using System;
using System.Windows;
using System.Windows.Media;

namespace TestProject;

/// <summary>
/// 메인 윈도우
/// </summary>
public partial class MainWindow : Window
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Field
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region Field

    /// <summary>
    /// 알림 헬퍼
    /// </summary>
    private NotificationHelper helper;

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainWindow()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainWindow()
    {
        InitializeComponent();

        helper = new NotificationHelper(this.grid);

        this.showButton.Click += showButton_Click;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 알림 메시지 표시 버튼 클릭시 처리하기 - showButton_Click(sender, e)

    /// <summary>
    /// 알림 메시지 표시 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private void showButton_Click(object sender, RoutedEventArgs e)
    {
        NotificationControl notificationControl = new NotificationControl
        {
            HorizontalAlignment = HorizontalAlignment.Right,
            VerticalAlignment   = VerticalAlignment.Bottom,
            Margin              = new Thickness(20),
            BorderThickness     = new Thickness(3),
            BorderBrush         = Brushes.DarkGray,
            Background          = new SolidColorBrush(Color.FromRgb(45, 45, 45)),
            Foreground          = Brushes.White,
            Message             = $"{DateTime.Now}",
            DisplayTime         = TimeSpan.FromMilliseconds(3000)
        };

        this.helper.ShowNotification(notificationControl);
    }

    #endregion
}